unit Unit7;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm7 = class(TForm)
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    RadioButton4: TRadioButton;
    RadioButton5: TRadioButton;
    RadioButton6: TRadioButton;
    RadioButton7: TRadioButton;
    RadioButton8: TRadioButton;
    RadioButton9: TRadioButton;
    RadioButton10: TRadioButton;
    RadioButton12: TRadioButton;
    RadioButton13: TRadioButton;
    RadioButton14: TRadioButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Button1: TButton;
    Memo1: TMemo;
    Button2: TButton;
    GroupBox1: TGroupBox;
    RadioButton11: TRadioButton;
    GroupBox2: TGroupBox;
    GroupBox3: TGroupBox;
    GroupBox4: TGroupBox;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);



  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form7: TForm7;

implementation

{$R *.dfm}

procedure TForm7.Button1Click(Sender: TObject);
var sum:integer;
begin
sum:=0;
if radiobutton1.Checked then
sum:=sum+4;
if radiobutton2.Checked then
sum:=sum+3;
if radiobutton3.Checked then
sum:=sum+2;
if radiobutton4.Checked then
sum:=sum+1;
if radiobutton5.Checked then
sum:=sum+4;
if radiobutton6.Checked then
sum:=sum+3;
if radiobutton7.Checked then
sum:=sum+2;
if radiobutton8.Checked then
sum:=sum+1;
if radiobutton9.Checked then
sum:=sum+3;
if radiobutton10.Checked then
sum:=sum+2;
if radiobutton11.Checked then
sum:=sum+1;
if radiobutton12.Checked then
sum:=sum+3;
if radiobutton13.Checked then
sum:=sum+2;
if radiobutton13.Checked then
sum:=sum+1;
Label2.Caption := IntToStr(sum);
if sum=0 then Label3.Caption:='баллов';
if sum=1 then Label3.Caption:='балл';
if (sum>=2) and (sum<=4) then Label3.Caption:='балла';
if sum<=4 then
memo1.Text:='Вы очень выдержанный человек, ничто не может свести вас с ума, кроме вас самого. Будьте бдительны!';
if (sum<=8) and (sum>4) then
memo1.Text:='Иногда вы можете себе позволить маленькие слабости, но не так часто как хотелось бы.';
if (sum<=12) and (sum>8) then
memo1.Text:='Ваше "хочу" преобладает над вашим "надо", но в нужный момент вы можете взять себя в руки и сказать слабостям НЕТ!!! ';
if (sum<=16) and (sum>12) then
memo1.Text:='Без вариантов! Ваша жизнь - наслаждение! Вам от этого хорошо, но оглянитесь вокруг, может там кого-то это не устраивает?';
end;


procedure TForm7.Button2Click(Sender: TObject);
var sum:integer;
begin
radiobutton1.Checked:=false;
radiobutton2.Checked:=false;
radiobutton3.Checked:=false;
radiobutton4.Checked:=false;
radiobutton5.Checked:=false;
radiobutton6.Checked:=false;
radiobutton7.Checked:=false;
radiobutton8.Checked:=false;
radiobutton9.Checked:=false;
radiobutton10.Checked:=false;
radiobutton11.Checked:=false;
radiobutton12.Checked:=false;
radiobutton13.Checked:=false;
sum:=0;
Label2.Caption:=InttoStr(0);
Memo1.Clear;
end;

procedure TForm7.FormCreate(Sender: TObject);
begin
Memo1.Clear;
Label2.Caption:=IntToStr(0);
end;

end.
